import { rest } from 'msw';
import { resolve } from 'node:path';
import { readFileSync } from 'node:fs';

// Обработчик запросов файлов локализации для тестового MSW-сервера.
export const handleLocaleFileRequest = rest.get(
  'http://localhost/locales/:name',
  (req, res, ctx) => {
    const filePath = resolve(
      __dirname,
      '..',
      '..',
      'public',
      'locales',
      req.params.name.toString(),
    );

    const localeFile = readFileSync(filePath, { encoding: 'utf8' });

    const jsonContent = JSON.parse(localeFile);

    return res(ctx.json(jsonContent));
  },
);
